포팅된 업체중 기존 쓰고 있는 서버의 버젼은 2008 도 있고, 

개발 환경과 앞으로 추가  설치되는 업체 버젼은 2012 이후로 된다고 할떄


소스상에서  복합 pk를 만드는 Function 등에서  2012버젼은 sequence를 쓰고 2008 버젼은 

다른 방식으로 처리(예로 Max+1) 한다고 하면  mssql 버젼을 체크해서 sequence를 쓰거나 

기존꺼로 그대로 사용할수 있는 방법이 있을까요?


1소스 멀티 포팅이면  높은 버젼에 유용한 기능을 쓰고 싶어도 기존에 포팅된 최저버젼 기준으로 

작성을 해야 하는 문제인거 같습니다.